import { RegisterActionType } from '@/reducers/system/register';
export declare function handleRegister(action: RegisterActionType): Generator<import("redux-saga/effects").PutEffect<import("typesafe-actions").PayloadAction<"SYSTEM_REGISTER__LOADING", {
    loading: boolean;
}>> | import("redux-saga/effects").CallEffect<import("@/types/user").RegisterResult>, void, unknown>;
export default function rootSaga(): Generator<import("redux-saga/effects").AllEffect<Generator<import("redux-saga/effects").ForkEffect<never>, void, unknown>>, void, unknown>;
